# ResultAccumulationConfiguration class

Configuration for how to accumulate results.

## Constructors

ResultAccumulationConfiguration.new({ConfirmationMethod confirmationMethod = ConfirmationMethod.EXACT, int minConfirmations = 3, double minConfidenceForStableField = 0.8, int autoClearThreshold = 4})
ResultAccumulationConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

autoClearThreshold ↔ int
  Will auto-clear the cache if this number of frames have been a different document type or empty.
  getter/setter pair
confirmationMethod ↔ ConfirmationMethod
  Method used to confirm a result.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
minConfidenceForStableField ↔ double
  Minimum confidence required to consider a field confirmed.
  getter/setter pair
minConfirmations ↔ int
  Number of confirmations required to consider a result confirmed (see ConfirmationMethod). Requiring more confirmations will increase the reliability of the result but also the time to gather enough confirmations.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited